"""
Module realizes creating configurator dump file an saving it to a file.
"""

import json
from typing import Any, Dict, List

from configs_core.utils.dump import generateDump

from ..settings.all_settings import SETTINGS


def writeDump(configuratorDump: Dict[str, Any], fileName: str) -> None:
    """
    Write dump to a file as json
    Args:
        configuratorDump:
        fileName: file name
    """
    with open(fileName, "w", encoding="utf-8") as limitationFile:
        json.dump(configuratorDump, limitationFile, indent=4)


def createDump(services: List[str], fileDump: str) -> None:
    """
    Create dump.

    Args:
        services: a list of services of interest
        fileDump: filename for dump
    """
    dump = generateDump(set(services), SETTINGS)
    writeDump(dump, fileDump)
