"""
Module contains constants for generating configurator dump files.
"""

from typing import List

from ..settings.all_settings import (
    LUNA_ACCOUNTS,
    LUNA_ADMIN,
    LUNA_API,
    LUNA_BACKPORT3,
    LUNA_BACKPORT4,
    LUNA_CONFIGURATOR,
    LUNA_EVENTS,
    LUNA_FACES,
    LUNA_HANDLERS,
    LUNA_IMAGE_STORE,
    LUNA_LAMBDA,
    LUNA_LAMBDA_TASKS_UNIT,
    LUNA_LAMBDA_UNIT,
    LUNA_LICENSES,
    LUNA_PYTHON_MATCHER,
    LUNA_PYTHON_MATCHER_PROXY,
    LUNA_REMOTE_SDK,
    LUNA_SENDER,
    LUNA_TASKS,
)

#: list of services from the luna platform
LUNA_PLATFORM: List[str] = [
    LUNA_EVENTS,
    LUNA_FACES,
    LUNA_API,
    LUNA_ADMIN,
    LUNA_TASKS,
    LUNA_CONFIGURATOR,
    LUNA_IMAGE_STORE,
    LUNA_SENDER,
    LUNA_PYTHON_MATCHER,
    LUNA_PYTHON_MATCHER_PROXY,
    LUNA_LICENSES,
    LUNA_HANDLERS,
    LUNA_BACKPORT4,
    LUNA_BACKPORT3,
    LUNA_ACCOUNTS,
    LUNA_REMOTE_SDK,
    LUNA_LAMBDA,
    LUNA_LAMBDA_UNIT,
    LUNA_LAMBDA_TASKS_UNIT,
]
