"""

Configs migration



Generation datetime: 2020-12-02 07:19:10.869654

"""

from typing import List

from configs_core.migration.db_migrate_helper import DatabaseMigrationHelper as mh, LimitationToModify

REVISION = "85d14bf9"

DOWN_REVISION = "19ea5610"


limitationsToModify: List[LimitationToModify] = []


def upgrade():
    """Upgrade configs to new revision"""

    # limitations to add

    mh.addLimitation(
        limitationName="LUNA_FACES_ACTIVE_PLUGINS",
        validationSchema={"type": "array", "items": {"type": "string"}},
        defaultValue=[],
        description="list active plugins of luna-faces",
        services=["luna-faces"],
        groupNames=["luna-platform"],
    )

    # limitations to modify

    for limitation in limitationsToModify:
        mh.migrateLimitation(limitation)


def downgrade():
    """Downgrade configs to previous revision"""

    # limitations to modify

    for limitation in limitationsToModify:
        mh.migrateLimitation(limitation)

    # limitations to remove

    mh.removeLimitation(limitationName="LUNA_FACES_ACTIVE_PLUGINS")
